%define version	5.1.2
%define name	grace
%define release	1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Numerical Data Processing and Visualization Tool (grace)
Copyright: GPL
Source0: ftp://plasma-gate.weizmann.ac.il/pub/grace/src/%{name}-%{version}.tar.bz2
Source1: xmgrace
Source2: fftw.tar.bz2
Group: Sciences/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: /usr/X11R6
BuildRequires: zlib-devel, libjpeg-devel, libtiff-devel, lesstif-devel

%description
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Grace is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package dynamic
Group: Sciences/Other
Summary: Numerical Data Processing and Visualization Tool (grace)
Provides: %{name}
Conflicts: %{name}-semistatic

%description dynamic
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Grace is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

%package semistatic
Group: Sciences/Other
Summary: grace with statically linked Motif libraries
Provides: %{name}
Conflicts: %{name}-dynamic

%description semistatic
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more. The
generated figures are of high quality.  Grace is a very convenient tool
for data inspection, data transformation, and and for making figures for
publications.

In this package the Motif libraries are linked statically for users who have
no Motif runtime libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
bzip2 -cd %{SOURCE2} | tar xvf -

%build
PKG_BUILD_DIR=$RPM_BUILD_DIR/%{name}-%{version}
mkdir -p $PKG_BUILD_DIR/include
mkdir -p $PKG_BUILD_DIR/lib
cd fftw-1.3

./configure --prefix=$PKG_BUILD_DIR

make

make install
cd ..
rm -rf gd1.3 fftw-1.3

%configure --prefix=%{prefix} --enable-grace-home=%{prefix}/lib/X11/grace \
	--enable-editres \
	--with-extra-incpath=$PKG_BUILD_DIR/include \
	--with-extra-ldpath=$PKG_BUILD_DIR/lib 
#	--with-bundled-xbae
%make

cd src
rm xmgrace
`make -n xmgrace | grep '^gcc' | head -1 | \
 sed -e 's/\([ \t]\|^\)-lnetcdf\b/\1-Wl,-Bstatic,-lnetcdf,-Bdynamic/g'`
mv xmgrace xmgrace.dynamic
`make -n xmgrace | grep '^gcc' | head -1 | \
 sed -e 's/\([ \t]\|^\)-lXm\b/\1-Wl,-Bstatic,-lXm,-Bdynamic/g' \
     -e 's/\([ \t]\|^\)-lXbae\b/\1-Wl,-Bstatic,-lXbae,-Bdynamic/g' \
     -e 's/\([ \t]\|^\)-lnetcdf\b/\1-Wl,-Bstatic,-lnetcdf,-Bdynamic/g'`
cd ..

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
make PREFIX=$RPM_BUILD_ROOT/%{prefix} \
     GRACE_HOME=$RPM_BUILD_ROOT/%{prefix}/lib/X11/grace \
     install
mv $RPM_BUILD_ROOT/%{prefix}/lib/X11/grace/bin/xmgrace \
    $RPM_BUILD_ROOT/%{prefix}/lib/X11/grace/bin/xmgrace.semistatic
strip $RPM_BUILD_ROOT/%{prefix}/lib/X11/grace/bin/grconvert
install -s src/xmgrace.dynamic $RPM_BUILD_ROOT/%{prefix}/lib/X11/grace/bin
rm -f $RPM_BUILD_ROOT/%{prefix}/bin/xmgrace
rm -f $RPM_BUILD_ROOT/%{prefix}/bin/gracebat
install -m 755 $RPM_SOURCE_DIR/xmgrace $RPM_BUILD_ROOT/%{prefix}/bin/xmgrace
ln -sf %{prefix}/bin/xmgrace $RPM_BUILD_ROOT/%{prefix}/bin/gracebat
ln -sf %{prefix}/bin/xmgrace $RPM_BUILD_ROOT/%{prefix}/bin/grace
mkdir -p $RPM_BUILD_ROOT/usr/include
ln -sf %{prefix}/lib/X11/grace/include/grace_np.h \
    $RPM_BUILD_ROOT/usr/include/grace_np.h
mkdir -p $RPM_BUILD_ROOT/usr/lib
ln -sf %{prefix}/lib/X11/grace/lib/libgrace_np.a \
    $RPM_BUILD_ROOT/usr/lib/libgrace_np.a

# call the spec-helper before creating the file list
# (thanks to Pixel).
#s=/usr/share/spec-helper/spec-helper ; [ -x $s ] && $s

%clean
rm -rf $RPM_BUILD_ROOT

%files dynamic 
%defattr (-,root,root)
%{prefix}/lib/X11/grace/bin/xmgrace.dynamic
/usr/X11R6/lib/X11/grace/lib
/usr/X11R6/lib/X11/grace/include
/usr/X11R6/lib/X11/grace/fonts
/usr/X11R6/lib/X11/grace/templates
/usr/X11R6/lib/X11/grace/doc
/usr/X11R6/lib/X11/grace/examples
/usr/X11R6/lib/X11/grace/auxiliary
/usr/X11R6/lib/X11/grace/bin/grconvert
/usr/X11R6/lib/X11/grace/bin/fdf2fit
/usr/X11R6/lib/X11/grace/bin/convcal
/usr/X11R6/lib/X11/grace/bin/gracebat
/usr/X11R6/bin/xmgrace
/usr/X11R6/bin/gracebat
/usr/X11R6/bin/grace
/usr/include/*
/usr/lib/*


%files semistatic 
%defattr (-,root,root)
%{prefix}/lib/X11/grace/bin/xmgrace.semistatic
/usr/X11R6/lib/X11/grace/lib
/usr/X11R6/lib/X11/grace/include
/usr/X11R6/lib/X11/grace/fonts
/usr/X11R6/lib/X11/grace/templates
/usr/X11R6/lib/X11/grace/doc
/usr/X11R6/lib/X11/grace/examples
/usr/X11R6/lib/X11/grace/auxiliary
/usr/X11R6/lib/X11/grace/bin/grconvert
/usr/X11R6/lib/X11/grace/bin/fdf2fit
/usr/X11R6/lib/X11/grace/bin/convcal
/usr/X11R6/lib/X11/grace/bin/gracebat
/usr/X11R6/bin/xmgrace
/usr/X11R6/bin/gracebat
/usr/X11R6/bin/grace
/usr/include/*
/usr/lib/*  

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 5.1.2-1mdk
- updated to 5.1.2
- use installed Xbae

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.1.1-2mdk
- bm & macros

* Sat Aug 26 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 5.1.1-1mdk
- initial Mandrake release.
- added BuildRequires.
- added --with-bundled-xbae.

* Mon Apr  3 2000 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.1.0

* Fri Dec 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 991217

* Fri Oct  8 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre1
- added canvas patch

* Fri Oct  1 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.5pre0

* Fri Sep 17 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- fixed the string copy problem (#611)

* Tue Sep 14 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.4gamma

* Tue Jun 29 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990629

* Fri Jun 18 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990614

* Wed May 19 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990519

* Mon Apr 26 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 990424

* Wed Apr  7 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- patched pars.yacc to enable "(cond) ? a : b"

* Sun Feb 28 1999 Henrik Seidel <Henrik.Seidel@gmx.de>
- upgraded to 5.0.2beta

* Mon Feb  1 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-990131

* Tue Jan 12 1999 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981231

* Tue Dec 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981203

* Tue Nov  3 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981102

* Thu Oct 22 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-981021
- added patch for using -bxy "0:1", i.e. for using column specification
  "0" for index.

* Tue Sep  8 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- upgraded to grace-5.0.1pre

* Thu Jul 16 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- added autoscale patch

* Wed Jul 15 1998 Henrik Seidel <seidel@mpimg-berlin-dahlem.mpg.de>
- initial revision of GRACE rpms
